Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# ConfigPageManager Class Reference

A global object that maintains the set of ConfigPages everywhere in the world, and keeps them in sorted order. More...

Inheritance diagram for ConfigPageManager:

List of all members.

## Public Member Functions
bool | deleteExplicitPage (ConfigPage page)
ConfigPage | getExplicitPage (int n)
| Returns the nth explicit ConfigPage in the world.
ConfigPage | getImplicitPage (int n)
| Returns the nth implicit ConfigPage in the world.
int | getNumExplicitPages ()
| Returns the current number of explicitly-loaded ConfigPages in the world.
int | getNumImplicitPages ()
| Returns the current number of implicitly-loaded ConfigPages in the world.
int | getNumPrcEncryptedPatterns ()
| Returns the number of patterns, like "*.pre", that are compiled in that will be searched for as special config files that are understood to be encrypted.
int | getNumPrcExecutablePatterns ()
| Returns the number of patterns, like "*.exe", that are compiled in that will be searched for as special config files that are to be executed as a program, and their output taken to be input.
int | getNumPrcPatterns ()
| Returns the number of patterns, like "*.prc", that are compiled in that will be searched for as default config filenames.
string | getPrcEncryptedPattern (int n)
| Returns the nth filename pattern that will be considered a match as a valid encrypted config file.
string | getPrcExecutablePattern (int n)
| Returns the nth filename pattern that will be considered a match as a valid executable-style config file.
string | getPrcPattern (int n)
| Returns the nth filename pattern that will be considered a match as a valid config file.
DSearchPath | getSearchPath ()
| Returns the search path used to locate implicit .prc files.
bool | loadedImplicitPages ()
| Returns true if the implicit *.prc files have already been loaded, false otherwise.
| loadImplicitPages ()
| Searches the PRC_DIR and/or PRC_PATH directories for .prc files and loads them in as pages.
ConfigPage | makeExplicitPage (string name)
| output (ostream out)
| reloadImplicitPages ()
| write (ostream out)
## Static Public Member Functions
static ConfigPageManager | getGlobalPtr ()

## Detailed Description

A global object that maintains the set of ConfigPages everywhere in the world, and keeps them in sorted order.

## Member Function Documentation

bool deleteExplicitPage | ( | ConfigPage | page | ) |

ConfigPage getExplicitPage | ( | int | n | ) |

Returns the nth explicit ConfigPage in the world.

See get_num_explicit_pages().

static ConfigPageManager getGlobalPtr | ( |  | ) | `[static]`

ConfigPage getImplicitPage | ( | int | n | ) |

Returns the nth implicit ConfigPage in the world.

See get_num_implicit_pages().

int getNumExplicitPages | ( |  | ) |

Returns the current number of explicitly-loaded ConfigPages in the world.

These represent pages that were loaded dynamically at runtime by explicit calls to ConfigPageManager.make_explicit_page().

int getNumImplicitPages | ( |  | ) |

Returns the current number of implicitly-loaded ConfigPages in the world.

These represent files that were automatically discovered on the disk as .prc files.

int getNumPrcEncryptedPatterns | ( |  | ) |

Returns the number of patterns, like "*.pre", that are compiled in that will be searched for as special config files that are understood to be encrypted.

int getNumPrcExecutablePatterns | ( |  | ) |

Returns the number of patterns, like "*.exe", that are compiled in that will be searched for as special config files that are to be executed as a program, and their output taken to be input.

This is normally empty.

int getNumPrcPatterns | ( |  | ) |

Returns the number of patterns, like "*.prc", that are compiled in that will be searched for as default config filenames.

Normally there is only one pattern, and it is "*.prc", but others may be specified with the PRC_FILENAME variable in Config.pp.

string getPrcEncryptedPattern | ( | int | n | ) |

Returns the nth filename pattern that will be considered a match as a valid encrypted config file.

See get_num_prc_encrypted_patterns().

string getPrcExecutablePattern | ( | int | n | ) |

Returns the nth filename pattern that will be considered a match as a valid executable-style config file.

See get_num_prc_executable_patterns().

string getPrcPattern | ( | int | n | ) |

Returns the nth filename pattern that will be considered a match as a valid config file.

See get_num_prc_patterns().

DSearchPath getSearchPath | ( |  | ) |

Returns the search path used to locate implicit .prc files.

This is determined by the PRC_DIR and PRC_PATH environment variables. The object returned by this method may be modified to change the path at runtime, and then reload_implicit_pages() called.

bool loadedImplicitPages | ( |  | ) |

Returns true if the implicit *.prc files have already been loaded, false otherwise.

Normally this will only be false briefly before startup.

loadImplicitPages | ( |  | ) |

Searches the PRC_DIR and/or PRC_PATH directories for .prc files and loads them in as pages.

This is normally called automatically at startup time, when the first variable's value is referenced. See also reload_implicit_pages().

ConfigPage makeExplicitPage | ( | string | name | ) |

output | ( | ostream | out | ) |

reloadImplicitPages | ( |  | ) |

write | ( | ostream | out | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties